# Documentation styleguide

This styleguide recommends best practices to improve documentation and to keep it organized and easy to find. 

## Text

* Make sure that the documentation is added in the correct directory and that there's a link to it somewhere useful.

* Add only one H1 or title in each document, by adding '#' at the begining of it (when using markdown). For subtitles, use '##', '###' and so on.

* Do not duplicate information.

* Be brief and clear.

* Whenever it applies, add documents in alphabetical order.

## When adding images to a document

* Create a directory to store the images with the specific name of the document where the images belong. It could be in the same directory where the .md document that you're working on is located.

* Images should have a specific, non-generic name that will differentiate them.

* Keep all file names in lower case.